﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Performance.DtoModels
{
    public class PerDataAccountNurse : IPerData
    {
        /// <summary>
        /// 核算单元
        /// </summary>
        public string AccountingUnit { get; set; }

        /// <summary>
        /// 科室名称
        /// </summary>
        public string Department { get; set; }

        /// <summary>
        /// 核算单元护士数量
        /// </summary>
        public decimal Number { get; set; }

        /// <summary>
        /// 护理基础系数
        /// </summary>
        public decimal BasicFactor { get; set; }

        /// <summary>
        /// 护理倾斜系数
        /// </summary>
        public decimal SlopeFactor { get; set; }

        /// <summary>
        /// 其他绩效1
        /// </summary>
        public decimal OtherPerfor1 { get; set; }

        /// <summary>
        /// 其他绩效2
        /// </summary>
        public decimal OtherPerfor2 { get; set; }

        /// <summary>
        /// 医院奖罚
        /// </summary>
        public decimal Extra { get; set; }

        /// <summary>
        /// 考核对分率
        /// </summary>
        public decimal ScoringAverage { get; set; }
        /// <summary>
        /// 调节系数
        /// </summary>
        public decimal AdjustFactor { get; set; }

        /// <summary>
        /// 科室业绩
        /// </summary>
        public decimal Income { get; set; }

        /// <summary>
        /// 工作量绩效
        /// </summary>
        public decimal WorkloadFee { get; set; }

        private decimal perforFee;

        private decimal perforTotal;

        private decimal avg;

        private decimal giveFee;

        /// <summary>
        /// 绩效合计
        /// </summary>
        public decimal PerforTotal { get => PerforFee + WorkloadFee + OtherPerfor1; set => perforTotal = value; }

        /// <summary>
        /// 业绩绩效
        /// </summary>
        public decimal PerforFee { get => Income * (BasicFactor + (BasicFactor * SlopeFactor)); set => perforFee = value; }
        /// <summary>
        /// 实发绩效
        /// </summary>
        public decimal RealGiveFee { get => (PerforTotal * ScoringAverage + Extra + OtherPerfor2) * AdjustFactor; set => giveFee = value; }
        /// <summary>
        /// 人均绩效
        /// </summary>
        public decimal Avg { get => Number == 0 ? 0 : PerforTotal / Number; set => avg = value; }
    }
}
