//-----------------------------------------------------------------------
// <copyright file=" per_allot.cs">
// * FileName: 医院绩效分配.cs 
// </copyright>
//-----------------------------------------------------------------------
using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Performance.EntityModels	
{
    /// <summary>
    /// 医院绩效分配
    /// </summary>
    [Table("per_allot")]
	public class per_allot
    {
        /// <summary>
        /// ID
        /// </summary>
        [Key]
		public int ID { get; set; }
    
        /// <summary>
        /// 医院ID
        /// </summary>
        public int HospitalId { get; set; }
    
        /// <summary>
        /// 
        /// </summary>
        public Nullable<int> CreateUser { get; set; }
    
        /// <summary>
        /// 绩效统计时间
        /// </summary>
        public Nullable<DateTime> CreateDate { get; set; }
    
        /// <summary>
        /// 绩效发放年
        /// </summary>
        public int Year { get; set; }
    
        /// <summary>
        /// 绩效发放月
        /// </summary>
        public int Month { get; set; }
    
        /// <summary>
        /// 绩效发放总金额
        /// </summary>
        public Nullable<decimal> AllotFee { get; set; }
    
        /// <summary>
        /// 文件路径
        /// </summary>
        public string Path { get; set; }
    
        /// <summary>
        /// 上传日期
        /// </summary>
        public Nullable<DateTime> UploadDate { get; set; }
    
        /// <summary>
        /// 0 数据未上传 1 数据已上传 2 正在校验数据 3 数据验证通过 4 数据错误 5 正在生成绩效 6 绩效结果解析成功 7 绩效解析失败 8 归档
        /// </summary>
        public int States { get; set; }
    
        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }
    }
}
